class i_wall extends f_xt
{
public double func(double x,double t)
{double Ti=20.0;
double Ts=100.0;
double alfa=1.7e-4;
double T=Ts+(Ti-Ts)*Mathd.erf(x/(2*Math.pow((alfa*t),0.5)));
return T;
}	
}
public class timeplottest
{
public static void main(String args[]) 
  {
  i_wall ff=new i_wall();
  timeplot_n p=new timeplot_n(ff,0.0,1.0,0.03,0.0,5000.0,0.1,100.0,"Zamana bağlı ısı transferi","Duvar ısı transferi","duvar kalınlığı m","Sıcaklık derece C");
  p.plot();
  }
} 